/* 
 *************************************************************************
 *
 *  PCX_EXT.H - PCX_LIB Library External Definitions Include File
 *
 *  Version:    1.00C
 *
 *  History:    91/02/14 - Created
 *              91/04/01 - Release 1.00A
 *              91/04/07 - Release 1.00B
 *              91/12/01 - Release 1.00C
 *
 *  Compiler:   (Microsoft C V6.0)
 *              changed by claas bontus to work with emx
 *
 *  Author:     Ian Ashdown, P.Eng.
 *              byHeart Software
 *              620 Ballantree Road
 *              West Vancouver, B.C.
 *              Canada V7S 1W3
 *              Tel. (604) 922-6148
 *              Fax. (604) 987-7621
 *
 *  Copyright:  Public Domain
 *
 *************************************************************************
 */
 
/*      DEFINITIONS                                                     */

#define _PCX_EXT_H      1

#define FALSE           0
#define TRUE            1

typedef int BOOL;       /* Boolean flag                                 */
 
/*      STRUCTURE DECLARATIONS                                          */

typedef struct pcx_vsb  /* BIOS video services data save buffer         */
{
  struct pcx_ppt                /* Primary Pointer Table                */
  {
    void  *vptp;            /* Video Parameter Table pointer        */
    unsigned char  *dsap;   /* Dynamic Save Area pointer            */
    void  *tmacgp;          /* Text Mode Aux Char Generator pointer */
    void  *gmacgp;          /* Graphics Mode Aux Char Generator ptr */
    void  *sptp;            /* Secondary Pointer Table pointer      */
    void  *rsv_1;           /* Reserved                             */
    void  *rsv_2;           /* Reserved                             */
  }
  pcx_ppt;

  /* Previous Primary Pointer Table pointer                             */

  struct pcx_ppt  *prev_pptp;
}
PCX_VSB;
 
/* FUNCTIONS PROTOTYPES                                                 */


